Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#3829 website: suggest latest stable and remove the version from Linux distribution-specific links

Verified
nobody
Documentation
2014-03-29
2014-01-27
Anonymous
No

Originally created by: *anonymous

Originally created by: fedel...@gmail.com
Originally owned by: pkx1...@gmail.com

As you can see in this email:
http://lists.gnu.org/archive/html/lilypond-user/2014-01/msg01154.html

people might be confused by the lilypond versions shown in http://www.lilypond.org/unix.html (section Distribution-specific packages).
Quoting the user:

"You all suggested, as I was afraid you would, that instead of trying to
get 2.14.2 to do what I want, I should change to 2.18.0.  Considering
that http://www.lilypond.org/unix.html positively encourages us to use
the default version with distros such as Ubuntu (v2.14.2 in this case),
this is not what a new user might expect!"

I suggest some changes:

1. remove the versions from the links to distro packages, because it's hard to maintain (for  example, the current debian stable package is 2.14.2, not 2.12.3).

2. suggest the latest stable more strongly. We don't offer a strong opinion on the dilemma "Generic Packages or Distribution-Specific Packages?". I think that we should, especially if you consider that installing the generic packages is so easy.

Remember that we often reply on the user mailing list "why don't you upgrade to the latest stable?" or on the bug list "this problem is solved in the latest stable".

Discussion

  • Originally posted by: pkx1...@gmail.com

    Web:Reworded UNIX Download page more strongly not to use distro-based packages

    Issue 3829

    Reworded 'Generic Packages or ....' section more 'strongly' to  get
    users to _not_ use  distribution-specific packages but to use
    the generic packages from lilypond.org.

    Removed the 'Distribution-specific' Packages section completely.

    Added some '32bit/64bit' labels for the generic package download links

    Minor grammar and syntax edits

    http://codereview.appspot.com/60180043

    Labels: Patch-new
    Owner: pkx1...@gmail.com
    Status: Started

     
  • Originally posted by: pkx1...@gmail.com

    Patchy the autobot says: passes make, make check and a full make docs.

    Labels: -Patch-new Patch-review

     
  • Originally posted by: pkx1...@gmail.com

    Patch on countdown for Feb 8th - 06:00 GMT

    Labels: -Patch-review Patch-countdown

     
  • Originally posted by: pkx1...@gmail.com

    Patch counted down - please push

    Labels: -Patch-countdown Patch-push

     
  • Originally posted by: pkx1...@gmail.com

    author James Lowe <pkx166h@gmail.com>
    Tue, 4 Feb 2014 22:06:43 +0000 (22:06 +0000)
    committer James Lowe <pkx166h@gmail.com>
    Sat, 8 Feb 2014 11:10:40 +0000 (11:10 +0000)
    commit7a5bfc62fcac71d5c996b2df58921fd2fe783415

    Labels: -Patch-push Fixed_2_19_3
    Status: Fixed

     
  • Originally posted by: fedel...@gmail.com

    (No comment was entered for this change.)

    Status: Verified